﻿using System.Collections.Generic;

namespace XHWK.Model
{
    public class Model_DirectorList
    {
        /// <summary>
        /// id
        /// </summary>
        public int? id { get; set; }

        /// <summary>
        /// 创建人姓名
        /// </summary>
        public string createname { get; set; }

        /// <summary>
        /// id
        /// </summary>
        public int? page { get; set; }

        /// <summary>
        /// id
        /// </summary>
        public int? pageSize { get; set; }

        /// <summary>
        /// 章节id
        /// </summary>
        public string directorid { get; set; }

        /// <summary>
        /// 章节名称
        /// </summary>
        public string directorname { get; set; }

        /// <summary>
        /// 所属章节
        /// </summary>
        public string directorpid { get; set; }

        /// <summary>
        /// 章节排序
        /// </summary>
        public int directororder { get; set; }

        /// <summary>
        /// 是否是叶子节点
        /// </summary>
        public int leaf { get; set; }

        /// <summary>
        /// 教材id
        /// </summary>
        public string lsbid { get; set; }

        /// <summary>
        /// 章节列表
        /// </summary>
        public int? directortype { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        public int? createid { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public int? createtime { get; set; }

        /// <summary>
        /// 学校id
        /// </summary>
        public int? schoolid { get; set; }

        /// <summary>
        /// 子章节
        /// </summary>
        public List<Model_DirectorList> children { get; set; }

        /// <summary>
        /// 章节归属级别
        /// </summary>
        public int? asknum { get; set; }

        /// <summary>
        /// 章节归属级别
        /// </summary>
        public int? correctRate { get; set; }

        /// <summary>
        /// 章节归属级别
        /// </summary>
        public int? selected { get; set; }

        /// <summary>
        /// 章节归属级别
        /// </summary>
        public int directorlevel { get; set; }

        public override string ToString()
        {
            return $"{nameof(id)}: {id}, {nameof(createname)}: {createname}, {nameof(page)}: {page}, {nameof(pageSize)}: {pageSize},{nameof(directorid)}: {directorid}, {nameof(directorname)}: {directorname}, {nameof(directorpid)}: {directorpid}, {nameof(directororder)}: {directororder}, {nameof(leaf)}: {leaf}, {nameof(lsbid)}: {lsbid}, {nameof(directortype)}: {directortype}, {nameof(directorlevel)}: {directorlevel}, {nameof(createid)}: {createid}, {nameof(createtime)}: {createtime}, {nameof(schoolid)}: {schoolid}, {nameof(children)}: {children}, {nameof(asknum)}: {asknum}, {nameof(correctRate)}: {correctRate}, {nameof(selected)}: {selected}";
        }
    }
}
