﻿using System.Collections.Generic;

namespace XHWK.Model
{
    public class Model_UserInfo
    {
        /// <summary>
        /// 用户id
        /// </summary>
        private int _userid;
        /// <summary>
        /// 姓名
        /// </summary>
        private string _username;
        /// <summary>
        /// 登录名
        /// </summary>
        private string _loginname;
        /// <summary>
        /// 学号
        /// </summary>
        private string _studentno;
        /// <summary>
        /// 联系方式
        /// </summary>
        private string _userphone;
        /// <summary>
        /// 生日
        /// </summary>
        private string _userbirthday;
        /// <summary>
        /// 身份号
        /// </summary>
        private string _cardid;
        /// <summary>
        /// 头像地址
        /// </summary>
        private string _headpic;
        /// <summary>
        /// 用户类型999超级管理员0学校管理员1老师2学生
        /// </summary>
        private string _usertype;
        /// <summary>
        /// 状态
        /// </summary>
        private int _userstate;
        private int _createid;
        private string _createname;
        private string _createtime;
        private string _deleteid;
        private string _deletetime;
        /// <summary>
        /// 当前年份
        /// </summary>
        private int _year;
        /// <summary>
        /// 学校id
        /// </summary>
        private int _schoolid;
        /// <summary>
        /// 学校名称
        /// </summary>
        private string _schoolname;
        /// <summary>
        /// 状态
        /// </summary>
        private int _schoolstate;
        /// <summary>
        /// 学校阶段1小学2初中3高中4大学
        /// </summary>
        private int _schoollevel;
        private List<Model_WKData> _wkdata;
        private string _cloudcode;

        public int Userid { get => _userid; set => _userid = value; }
        public string Username { get => _username; set => _username = value; }
        public string Loginname { get => _loginname; set => _loginname = value; }
        public string Studentno { get => _studentno; set => _studentno = value; }
        public string Userphone { get => _userphone; set => _userphone = value; }
        public string Userbirthday { get => _userbirthday; set => _userbirthday = value; }
        public string Cardid { get => _cardid; set => _cardid = value; }
        public string Headpic { get => _headpic; set => _headpic = value; }
        public string Usertype { get => _usertype; set => _usertype = value; }
        public int Userstate { get => _userstate; set => _userstate = value; }
        public int Createid { get => _createid; set => _createid = value; }
        public string Createname { get => _createname; set => _createname = value; }
        public string Createtime { get => _createtime; set => _createtime = value; }
        public string Deleteid { get => _deleteid; set => _deleteid = value; }
        public string Deletetime { get => _deletetime; set => _deletetime = value; }
        public int Year { get => _year; set => _year = value; }
        public int Schoolid { get => _schoolid; set => _schoolid = value; }
        public string Schoolname { get => _schoolname; set => _schoolname = value; }
        public int Schoolstate { get => _schoolstate; set => _schoolstate = value; }
        public int Schoollevel { get => _schoollevel; set => _schoollevel = value; }
        /// <summary>
        /// 微课列表信息
        /// </summary>
        public List<Model_WKData> Wkdata { get => _wkdata; set => _wkdata = value; }
        public string cloudcode { get => _cloudcode; set => _cloudcode = value; }
    }
}
